Page MenuHomePhabricator

[SelectionDAG] Fix legalization of non-byte-sized vector
AbandonedPublic

Authored by LemonBoy on Apr 20 2020, 3:31 AM.

Details

Summary

Avoid splitting narrow loads into smaller byte-sized ones as elements straddling two words may get incorrectly extracted.
The code is still completely wrong for BE targets.

Diff Detail

Event Timeline

LemonBoy created this revision.Apr 20 2020, 3:31 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 20 2020, 3:31 AM
simoll added a subscriber: simoll.Apr 20 2020, 5:59 AM
LemonBoy updated this revision to Diff 259844.Apr 24 2020, 3:09 AM

Something less invasive that doesn't affect the codegen while fixing the problem.

LemonBoy edited the summary of this revision. (Show Details)Apr 24 2020, 3:22 AM
This revision is now accepted and ready to land.Apr 27 2020, 10:53 AM
LemonBoy abandoned this revision.May 3 2020, 11:43 AM

Abandoned in favor of the already-merged D79096